XmRenderTableGetTags(library call)

NAME
XmRenderTableGetTags — A convenience function that gets rendition tags

SYNOPSIS

#include <Xm/Xm.h>
int XmRenderTableGetTags(
XmRenderTable table,
XmStringTag **tag_list);

DESCRIPTION

XmRenderTableGetTags searches the specified table for the XmNtag resources of all the renditions (XmRenditions) entries. These tag resources are then composed into an array.

table
    Specifies the table containing the XmRenditions.

tag_list
    Is the array of XmStringTags generated by this function. The function allocates space to hold the returned tags and to hold the tag_list itself. The application is responsible for managing this allocated space. This application can recover this allocated space by calling XtFree once for each of the returned tags, and then calling XtFree on the returned tag_list variable itself.

RETURN

Returns the number of tags in tag_list.

RELATED

XmRendition(3).